Debian Bug report logs - #946843
virtualbox-guest-x11: VBoxClient --clipboard terminates silently

version graph

Package: virtualbox-guest-x11; Maintainer for virtualbox-guest-x11 is Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>; Source for virtualbox-guest-x11 is src:virtualbox (PTS, buildd, popcon).

Reported by: luca <agoiza@gmail.com>

Date: Mon, 16 Dec 2019 13:51:04 UTC

Severity: normal

Found in version virtualbox/6.1.0-dfsg-3

Forwarded to https://www.virtualbox.org/ticket/19234

Reply or subscribe to this bug.

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, agoiza@gmail.com, Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>:
Bug#946843; Package virtualbox-guest-x11. (Mon, 16 Dec 2019 13:51:06 GMT) (full text, mbox, link).


Acknowledgement sent to luca <agoiza@gmail.com>:
New Bug report received and forwarded. Copy sent to agoiza@gmail.com, Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>. (Mon, 16 Dec 2019 13:51:06 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.debian.org (full text, mbox, reply):

From: luca <agoiza@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: virtualbox-guest-x11: VBoxClient --clipboard terminates silently
Date: Mon, 16 Dec 2019 14:49:43 +0100
Package: virtualbox-guest-x11
Version: 6.1.0-dfsg-3
Severity: normal

After latest update VBoxClient --clipboard process isn't no more running, so
clipboard service does not work.
While --seamless --draganddrop --display processes are running.

$ VBoxClient --clipboard in a terminal terminates immediately with no error.

Strace of VBoxClient --clipboard: it seems not to find libXfixes.so

-------------------------------------------------------------

$ dpkg -l| grep virtualbox
ii  virtualbox-guest-dkms  6.1.0-dfsg-3
ii  virtualbox-guest-utils 6.1.0-dfsg-3
ii  virtualbox-guest-x11   6.1.0-dfsg-3

-------------------------------------------------------------

Best, Luca.



-- System Information:
Debian Release: bullseye/sid
  APT prefers unstable-debug
  APT policy: (500, 'unstable-debug'), (500, 'unstable'), (500, 'oldstable')
Architecture: amd64 (x86_64)

Kernel: Linux 5.2.0-3-amd64 (SMP w/1 CPU core)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8), LANGUAGE= (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages virtualbox-guest-x11 depends on:
ii  libc6                                  2.29-6
ii  libnotify-bin                          0.7.8-1
ii  libx11-6                               2:1.6.8-1
ii  libxext6                               2:1.3.3-1+b2
ii  libxmu6                                2:1.1.2-2+b3
ii  libxrandr2                             2:1.5.1-1
ii  libxt6                                 1:1.1.5-1+b3
ii  virtualbox-guest-utils                 6.1.0-dfsg-3
ii  x11-xserver-utils                      7.7+8
ii  xserver-xorg-core [xorg-video-abi-24]  2:1.20.6-1

virtualbox-guest-x11 recommends no packages.

virtualbox-guest-x11 suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>:
Bug#946843; Package virtualbox-guest-x11. (Fri, 10 Jan 2020 17:00:03 GMT) (full text, mbox, link).


Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>. (Fri, 10 Jan 2020 17:00:03 GMT) (full text, mbox, link).


Message #10 received at 946843@bugs.debian.org (full text, mbox, reply):

From: Sam Morris <sam@robots.org.uk>
To: Debian Bug Tracking System <946843@bugs.debian.org>
Subject: Re: virtualbox-guest-x11: VBoxClient --clipboard terminates silently
Date: Fri, 10 Jan 2020 16:36:47 +0000
Package: virtualbox-guest-x11
Version: 6.1.0-dfsg-3
Followup-For: Bug #946843

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

I started seeing this too at around the same time. VBoxClient outputs
the following:

    $ VBoxClient -v --clipboard -f 
    Shared Clipboard: Starting X11 event thread
    Shared Clipboard: Stopping X11 event thread ...
    Shared Clipboard: X11 event thread terminated successfully
    Error connecting to host service, rc=VERR_NOT_IMPLEMENTED
    Service terminated abnormally with VERR_NOT_IMPLEMENTED
    Running service failed: VERR_NOT_IMPLEMENTED

There is a forum post with the same symptoms, but it has not yet recieved
any response: https://forums.virtualbox.org/viewtopic.php?f=3&t=96309

- -- System Information:
Debian Release: 10.2
  APT prefers stable-updates
  APT policy: (550, 'stable-updates'), (550, 'stable-debug'), (550, 'stable'), (530, 'testing-debug'), (530, 'testing'), (520, 'unstable-debug'), (520, 'unstable'), (1, 'experimental-debug'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: arm64

Kernel: Linux 5.3.0-3-amd64 (SMP w/2 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages virtualbox-guest-x11 depends on:
ii  libc6                                  2.29-7
ii  libnotify-bin                          0.7.7-4
ii  libx11-6                               2:1.6.7-1
ii  libxext6                               2:1.3.3-1+b2
ii  libxmu6                                2:1.1.2-2+b3
ii  libxrandr2                             2:1.5.1-1
ii  libxt6                                 1:1.1.5-1+b3
ii  virtualbox-guest-utils                 6.1.0-dfsg-3
ii  x11-xserver-utils                      7.7+8
ii  xserver-xorg-core [xorg-video-abi-24]  2:1.20.4-1

virtualbox-guest-x11 recommends no packages.

virtualbox-guest-x11 suggests no packages.

- -- Configuration Files:
/etc/X11/Xsession.d/98vboxadd-xclient changed:
in_virtual_machine()
{
	if [ -z "$(lspci -d 80ee:cafe)" ]; then
	echo "VirtualBox Additions disabled, not in a Virtual Machine" >&2
	return 1
	fi
	return 0
}
in_virtual_machine || return
for i in $HOME/.vboxclient-*.pid; do
    test -w $i || rm -f $i
done
if ! test -c /dev/vboxguest 2>/dev/null; then
   # Do not start if the kernel module is not present.
   # Execute notify-send in the back-ground to avoid racing with sddm,
   # as notify-send may wait for sddm to start while it waits for us to exit.
   notify-send "VBoxClient: the VirtualBox kernel service is not running.  Exiting." &
elif test -z "${SSH_CONNECTION}"; then
   # This script can also be triggered by a connection over SSH, which is not
   # what we had in mind, so we do not start VBoxClient in that case.  We do
   # not use "exit" here as this script is "source"d, not executed.
  /usr/bin/VBoxClient --clipboard || true
  /usr/bin/VBoxClient --checkhostversion || true
  /usr/bin/VBoxClient --display || true
  /usr/bin/VBoxClient --seamless || true
  # disable drag and drop 'cos I never use it and it pegs the CPU
  #/usr/bin/VBoxClient --draganddrop || true
  /usr/bin/VBoxClient --vmsvga-x11  || true # In case VMSVGA emulation is enabled
fi


- -- no debconf information

-----BEGIN PGP SIGNATURE-----

iQJGBAEBCAAwFiEEyqqqGsppqDqJKxhV0gtCAlzaJ7kFAl4YqBASHHNhbUByb2Jv
dHMub3JnLnVrAAoJENILQgJc2ie5swEP/2YWpvrFzRgDvUQf6n9H3iYpjNZCeHwR
fZWO06t+mPy1JWbzyBLmIiB996ErLX8hMoV97YfUSk7rsWGCfs1P+Nl5HLaBb4XR
ADIM10U7m+XgoSS5ZAuhXKm8b46M9JJGyJsilxDHVry9DUEkXA+B9qQgoSxGZcbt
r7mcBmK42Zg3e6907M8AoWIndso4walYwV5GMGGf0ekxSQyujFSYNuvF/r+0H5Mg
OuuIoh5Guzm8X/D8j7ecl4N8DcMEYgEOvundsxskNM1cU8Xe99yW3eXv6hyz0GY6
+nB3NCWmoaMGkq31jNMLoC+YKxJAmgK9/bolJw6VtF9yKJ4hl+tmDm3Sudzbn20E
9k3TRqEffeiyGn+jhdyLW2AxGly9xYn7WWzidqQ41MF9aArxwxVkdFOUIDTAP5ha
jJjoQNR/8MzF8n2cjE8WFnbdOvw0meq1qdGCTC0pEg1YeWjV2bVq1ZQHZO1/fuHN
DctUaGtxcOtOj7wjWxEcWequE4S5o4RX0f9JFk3FDcwQWRpiuvgZvuHIjDXVq1CW
pA58q9dZnSozS6JVsS9/TUrvDeVZJk5V3DQ70KBq+v4/eoH53BfZ7S7Mrl84Slfq
Le7c17gkLF6zKxgsAIhTOlKWHey+LFcipUDW9YXOEzd7P+I3KQ5ZUvdJK40wsNQR
e7gU/tAfv2F9
=9c+p
-----END PGP SIGNATURE-----



Set Bug forwarded-to-address to 'https://www.virtualbox.org/ticket/19234'. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Thu, 16 Jan 2020 10:33:03 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Sep 23 13:22:30 2024; Machine Name: buxtehude

Debian Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.